Subject: Re: [PATCH v2 1/1] media: v4l: usb: Use correct dependency for camera sensor drivers

From: Sakari Ailus <[email-masked]>
Date: Mon, 21 Aug 2023 11:09:55 +0000

Hi Randy,

On Fri, Aug 18, 2023 at 06:53:19PM -0700, Randy Dunlap wrote:
> Hi Sakari,
> 
> On 8/18/23 02:51, Sakari Ailus wrote:
> > The Kconfig option that enables compiling camera sensor drivers is
> > VIDEO_CAMERA_SENSOR rather than MEDIA_CAMERA_SUPPORT as it was previously.
> > Fix this.
> > 
> > Reported-by: Randy Dunlap <[email-masked]>
> > Fixes: 7d3c7d2a2914 ("media: i2c: Add a camera sensor top level menu")
> > Signed-off-by: Sakari Ailus <[email-masked]>
> > ---
> > since v1:
> > 
> > - Also include MMP camera Kconfig fix.
> > 
> >  drivers/media/platform/marvell/Kconfig | 4 ++--
> >  drivers/media/usb/em28xx/Kconfig       | 4 ++--
> >  drivers/media/usb/go7007/Kconfig       | 2 +-
> >  3 files changed, 5 insertions(+), 5 deletions(-)
> > 
> 
> This v2 patch fixes a few more issues but there is still one nagging problem
> (2 versions of it, one with VIDEO_VIA_CAMERA=y and one with VIDEO_VIA_CAMERA=m):
> 
> (1)
> WARNING: unmet direct dependencies detected for VIDEO_OV7670
>   Depends on [n]: MEDIA_SUPPORT [=y] && VIDEO_DEV [=y] && VIDEO_CAMERA_SENSOR [=n]
>   Selected by [y]:
>   - VIDEO_VIA_CAMERA [=y] && MEDIA_SUPPORT [=y] && MEDIA_PLATFORM_SUPPORT [=y] && MEDIA_PLATFORM_DRIVERS [=y] && V4L_PLATFORM_DRIVERS [=y] && FB_VIA [=y] && VIDEO_DEV [=y]
> 
> WARNING: unmet direct dependencies detected for VIDEO_OV7670
>   Depends on [n]: MEDIA_SUPPORT [=y] && VIDEO_DEV [=y] && VIDEO_CAMERA_SENSOR [=n]
>   Selected by [y]:
>   - VIDEO_VIA_CAMERA [=y] && MEDIA_SUPPORT [=y] && MEDIA_PLATFORM_SUPPORT [=y] && MEDIA_PLATFORM_DRIVERS [=y] && V4L_PLATFORM_DRIVERS [=y] && FB_VIA [=y] && VIDEO_DEV [=y]
> 
> (2)
> WARNING: unmet direct dependencies detected for VIDEO_OV7670
>   Depends on [n]: MEDIA_SUPPORT [=y] && VIDEO_DEV [=m] && VIDEO_CAMERA_SENSOR [=n]
>   Selected by [m]:
>   - VIDEO_VIA_CAMERA [=m] && MEDIA_SUPPORT [=y] && MEDIA_PLATFORM_SUPPORT [=y] && MEDIA_PLATFORM_DRIVERS [=y] && V4L_PLATFORM_DRIVERS [=y] && FB_VIA [=m] && VIDEO_DEV [=m]
> 
> WARNING: unmet direct dependencies detected for VIDEO_OV7670
>   Depends on [n]: MEDIA_SUPPORT [=y] && VIDEO_DEV [=m] && VIDEO_CAMERA_SENSOR [=n]
>   Selected by [m]:
>   - VIDEO_VIA_CAMERA [=m] && MEDIA_SUPPORT [=y] && MEDIA_PLATFORM_SUPPORT [=y] && MEDIA_PLATFORM_DRIVERS [=y] && V4L_PLATFORM_DRIVERS [=y] && FB_VIA [=m] && VIDEO_DEV [=m]
> 
> Let me know if you need full randconfig files for any of these.
> Thanks.

Thanks. These were indeed missing from the previous patch. I'll post a fix
to address these as well. I've grepped the Kconfigs and I couldn't find
more --- this one didn't have MEDIA_CAMERA_SUPPORT dependency as most of
the others did.

-- 
Sakari Ailus